Channels
Custom email sending domains with DNS records to publish and verification status
GET
Custom email sending domains with DNS records to publish and verification status.
bearer channels:readheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: channels:read
Success
application/json- response
data*array<>curl -X GET "https://example.com/sending-domains"{ "data": [ { "id": "string", "domain": "string", "status": "pending", "verificationStatus": "string", "dkimStatus": "string", "mailFromStatus": "string", "dnsRecords": [ { "type": "string", "name": "string", "value": "string", "purpose": "string", "ttl": 0, "priority": 0 } ], "lastCheckedAt": 0, "verifiedAt": 0 } ]}